Loading...
Searching...
No Matches
juce::AccessibilityTextValueInterface Class Referenceabstract

## Detailed Description

A value interface that represents a text value.

The documentation for this class was generated from the following file:

- juce_gui_basics/accessibility/interfaces/juce_AccessibilityValueInterface.h

Inheritance diagram for juce::AccessibilityTextValueInterface:

## Public Member Functions

bool | isReadOnly () const override=0
| Returns true if the value is read-only and cannot be modified by an accessibility client.
String | getCurrentValueAsString () const override=0
| Returns the current value.
void | setValueAsString (const String &newValue) override=0
| Sets the current value to a new value.
double | getCurrentValue () const final
| Returns the current value as a double.
void | setValue (double newValue) final
| Sets the current value to a new double value.
AccessibleValueRange | getRange () const final
| If this is a ranged value, this should return a valid AccessibleValueRange object representing the supported numerical range.
Public Member Functions inherited from juce::AccessibilityValueInterface
virtual | ~AccessibilityValueInterface ()=default
| Destructor.

## Member Functions

## isReadOnly()

bool juce::AccessibilityTextValueInterface::isReadOnly | ( |  | ) | const

override pure virtual

Returns true if the value is read-only and cannot be modified by an accessibility client.

See also
  setValueAsString

Implements juce::AccessibilityValueInterface.

## getCurrentValueAsString()

String juce::AccessibilityTextValueInterface::getCurrentValueAsString | ( |  | ) | const

override pure virtual

Returns the current value.

Implements juce::AccessibilityValueInterface.

Referenced by getCurrentValue().

## setValueAsString()

void juce::AccessibilityTextValueInterface::setValueAsString | ( | const String & | newValue | ) |

override pure virtual

Sets the current value to a new value.

Implements juce::AccessibilityValueInterface.

Referenced by setValue().

## getCurrentValue()

double juce::AccessibilityTextValueInterface::getCurrentValue | ( |  | ) | const

inline final virtual

Returns the current value as a double.

Implements juce::AccessibilityValueInterface.

References getCurrentValueAsString().

## setValue()

void juce::AccessibilityTextValueInterface::setValue | ( | double | newValue | ) |

inline final virtual

Sets the current value to a new double value.

Implements juce::AccessibilityValueInterface.

References setValueAsString().

## getRange()

AccessibleValueRange juce::AccessibilityTextValueInterface::getRange | ( |  | ) | const

inline final virtual

If this is a ranged value, this should return a valid AccessibleValueRange object representing the supported numerical range.

Implements juce::AccessibilityValueInterface.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited